import type { RuntimeNumberField } from '@oinone/kunlun-engine';
import type { RowContext } from '@oinone/kunlun-vue-ui';
import type { VNode } from 'vue';
import { BaseTableFieldWidget } from '../../../basic';
export declare class TableNumberWidget extends BaseTableFieldWidget<string | number, RuntimeNumberField> {
    protected getShowThousandth(context: RowContext): NonNullable<boolean | undefined>;
    protected getPrecision(context: RowContext): number | null | undefined;
    renderDefaultSlot(context: RowContext): VNode[] | string;
}
